program checkoutput

  use errorHandling
  use dal
  use param


  implicit none

  type(DataSetT) :: inDataSetH
  type(ArrayT) :: inArrayH

  integer(kind=int32), dimension(:, :), pointer :: inArrayP

  integer arrayType
  integer dim(2)
  integer(kind=int32) nx                    ! Keywords.
  integer(kind=int32) ny                    ! Keywords.

  logical ok

  inDataSetH = dataSet("omcomb_testoutput.fit", read)

  inArrayH = array(inDataSetH, "OMIMI1", read)
  arrayType = arrayDataType(inArrayH)

  dim = dimensions(inArrayH)

  nx = dim(1)
  ny = dim(2)

  ok = .true.


!  if (arrayType /= int32) then
!     ok = .false.
!  end if

  if (nx /= 1024) then
     ok =.false.
  end if
  
  if (ny /= 1024) then
     ok =.false.
  end if
  
  if (.not.ok) then
     call error("qualBad", "Output array has wrong values!")
  end if
  
  call release(inArrayH)
  call release(inDataSetH)
  
end program checkoutput

